<?php
$tdataRO___Calls_Report=array();
	$tdataRO___Calls_Report[".NumberOfChars"]=80; 
	$tdataRO___Calls_Report[".ShortName"]="RO___Calls_Report";
	$tdataRO___Calls_Report[".OwnerID"]="Region";
	$tdataRO___Calls_Report[".OriginalTable"]="calls";


	
//	field labels
$fieldLabelsRO___Calls_Report = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsRO___Calls_Report["English"]=array();
	$fieldToolTipsRO___Calls_Report["English"]=array();
	$fieldLabelsRO___Calls_Report["English"]["Call_Details"] = "Call Details";
	$fieldToolTipsRO___Calls_Report["English"]["Call Details"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Executive_Name"] = "Executive Name";
	$fieldToolTipsRO___Calls_Report["English"]["Executive Name"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Customer_Name"] = "Customer Name";
	$fieldToolTipsRO___Calls_Report["English"]["Customer Name"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsRO___Calls_Report["English"]["Customer Status"] = "";
	$fieldLabelsRO___Calls_Report["English"]["No_of_Calls"] = "No of Calls";
	$fieldToolTipsRO___Calls_Report["English"]["No of Calls"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Date"] = "Date";
	$fieldToolTipsRO___Calls_Report["English"]["Date"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Region"] = "Region";
	$fieldToolTipsRO___Calls_Report["English"]["Region"] = "";
	if (count($fieldToolTipsRO___Calls_Report["English"])){
		$tdataRO___Calls_Report[".isUseToolTips"]=true;
	}
}


	
	$tdataRO___Calls_Report[".NCSearch"]=true;

	

$tdataRO___Calls_Report[".shortTableName"] = "RO___Calls_Report";
$tdataRO___Calls_Report[".nSecOptions"] = 1;
$tdataRO___Calls_Report[".recsPerRowList"] = 1;	
$tdataRO___Calls_Report[".tableGroupBy"] = "1";
$tdataRO___Calls_Report[".mainTableOwnerID"] = "Region";
$tdataRO___Calls_Report[".moveNext"] = 1;




$tdataRO___Calls_Report[".showAddInPopup"] = false;

$tdataRO___Calls_Report[".showEditInPopup"] = false;

$tdataRO___Calls_Report[".showViewInPopup"] = false;


$tdataRO___Calls_Report[".fieldsForRegister"] = array();

$tdataRO___Calls_Report[".listAjax"] = false;

	$tdataRO___Calls_Report[".audit"] = false;

	$tdataRO___Calls_Report[".locking"] = false;
	
$tdataRO___Calls_Report[".listIcons"] = true;
$tdataRO___Calls_Report[".edit"] = true;
$tdataRO___Calls_Report[".inlineEdit"] = true;
$tdataRO___Calls_Report[".view"] = true;

$tdataRO___Calls_Report[".exportTo"] = true;

$tdataRO___Calls_Report[".printFriendly"] = true;

$tdataRO___Calls_Report[".delete"] = true;

$tdataRO___Calls_Report[".showSimpleSearchOptions"] = false;

$tdataRO___Calls_Report[".showSearchPanel"] = true;


$tdataRO___Calls_Report[".isUseAjaxSuggest"] = true;



// button handlers file names

$tdataRO___Calls_Report[".addPageEvents"] = false;


// use datepicker for search panel
$tdataRO___Calls_Report[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdataRO___Calls_Report[".isUseTimeForSearch"] = false;

$tdataRO___Calls_Report[".isUseiBox"] = false;



$tdataRO___Calls_Report[".isUseInlineJs"] = $tdataRO___Calls_Report[".isUseInlineAdd"] || $tdataRO___Calls_Report[".isUseInlineEdit"];

$tdataRO___Calls_Report[".allSearchFields"] = array();

$tdataRO___Calls_Report[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Report[".allSearchFields"]))
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Date";	
}
$tdataRO___Calls_Report[".globSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataRO___Calls_Report[".allSearchFields"]))
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Executive Name";	
}
$tdataRO___Calls_Report[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO___Calls_Report[".allSearchFields"]))
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Region";	
}


$tdataRO___Calls_Report[".googleLikeFields"][] = "Date";
$tdataRO___Calls_Report[".googleLikeFields"][] = "Executive Name";
$tdataRO___Calls_Report[".googleLikeFields"][] = "Region";

$tdataRO___Calls_Report[".panelSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Report[".allSearchFields"])) 
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Date";	
}


$tdataRO___Calls_Report[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Report[".allSearchFields"])) 
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Date";	
}
$tdataRO___Calls_Report[".advSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataRO___Calls_Report[".allSearchFields"])) 
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Executive Name";	
}
$tdataRO___Calls_Report[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO___Calls_Report[".allSearchFields"])) 
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Region";	
}

$tdataRO___Calls_Report[".isTableType"] = "report";

$tdataRO___Calls_Report[".reportGroupFields"] = true;

	

$tdataRO___Calls_Report[".isDisplayLoading"] = true;

$tdataRO___Calls_Report[".isResizeColumns"] = false;


$tdataRO___Calls_Report[".noRecordsFirstPage"] = true;




$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataRO___Calls_Report[".strOrderBy"] = $gstrOrderBy;
	
$tdataRO___Calls_Report[".orderindexes"] = array();

$tdataRO___Calls_Report[".sqlHead"] = "SELECT COUNT(calls.idCalls) AS `No of Calls`,  Date(Date) AS `Date`,  calls.`Call Details`,  calls.`Executive Name`,  calls.`Customer Name`,  customer_list.`Customer Status`,  customer_list.Region";
$tdataRO___Calls_Report[".sqlFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$tdataRO___Calls_Report[".sqlWhereExpr"] = "";
$tdataRO___Calls_Report[".sqlTail"] = "GROUP BY Date(Date), calls.`Call Details`, calls.`Executive Name`, calls.`Customer Name`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRO___Calls_Report[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRO___Calls_Report[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataRO___Calls_Report[".Keys"] = $tableKeys;

//	No of Calls
	$fdata = array();
	$fdata["strName"] = "No of Calls";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "No_of_Calls";
	
		$fdata["FullName"]= "COUNT(calls.idCalls)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["No of Calls"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 7;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(Date)";
	
		
		
		
		
		
				$fdata["Index"]= 2;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Date"]=$fdata;
//	Call Details
	$fdata = array();
	$fdata["strName"] = "Call Details";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text area";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Call_Details";
	
		$fdata["FullName"]= "calls.`Call Details`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
			$fdata["EditParams"] = "";
			$fdata["EditParams"].= " rows=100";
		$fdata["nRows"] = 100;
			$fdata["EditParams"].= " cols=200";
		$fdata["nCols"] = 200;
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Call Details"]=$fdata;
//	Executive Name
	$fdata = array();
	$fdata["strName"] = "Executive Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Executive_Name";
	
		$fdata["FullName"]= "calls.`Executive Name`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		
		
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Executive Name"]=$fdata;
//	Customer Name
	$fdata = array();
	$fdata["strName"] = "Customer Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Name";
	
		$fdata["FullName"]= "calls.`Customer Name`";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=100";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Customer Name"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "customer_list.`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 6;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Customer Status"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "customer_list.Region";
	
		
		
		
		
		
				$fdata["Index"]= 7;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				
		
		
		
		
		
			$tdataRO___Calls_Report["Region"]=$fdata;

	
$tables_data["RO - Calls Report"]=&$tdataRO___Calls_Report;
$field_labels["RO___Calls_Report"] = &$fieldLabelsRO___Calls_Report;
$fieldToolTips["RO - Calls Report"] = &$fieldToolTipsRO___Calls_Report;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["RO - Calls Report"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["RO - Calls Report"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto29=array();
$proto29["m_strHead"] = "SELECT";
$proto29["m_strFieldList"] = "COUNT(calls.idCalls) AS `No of Calls`,  Date(Date) AS `Date`,  calls.`Call Details`,  calls.`Executive Name`,  calls.`Customer Name`,  customer_list.`Customer Status`,  customer_list.Region";
$proto29["m_strFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$proto29["m_strWhere"] = "";
$proto29["m_strOrderBy"] = "";
$proto29["m_strTail"] = "GROUP BY Date(Date), calls.`Call Details`, calls.`Executive Name`, calls.`Customer Name`";
$proto30=array();
$proto30["m_sql"] = "";
$proto30["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto30["m_column"]=$obj;
$proto30["m_contained"] = array();
$proto30["m_strCase"] = "";
$proto30["m_havingmode"] = "0";
$proto30["m_inBrackets"] = "0";
$proto30["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto30);

$proto29["m_where"] = $obj;
$proto32=array();
$proto32["m_sql"] = "";
$proto32["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto32["m_column"]=$obj;
$proto32["m_contained"] = array();
$proto32["m_strCase"] = "";
$proto32["m_havingmode"] = "0";
$proto32["m_inBrackets"] = "0";
$proto32["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto32);

$proto29["m_having"] = $obj;
$proto29["m_fieldlist"] = array();
						$proto34=array();
			$proto35=array();
$proto35["m_functiontype"] = "SQLF_COUNT";
$proto35["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCalls",
	"m_strTable" => "calls"
));

$proto35["m_arguments"][]=$obj;
$proto35["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto35);

$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "No of Calls";
$obj = new SQLFieldListItem($proto34);

$proto29["m_fieldlist"][]=$obj;
						$proto37=array();
			$proto38=array();
$proto38["m_functiontype"] = "SQLF_CUSTOM";
$proto38["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto38["m_arguments"][]=$obj;
$proto38["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto38);

$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto37);

$proto29["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "Call Details",
	"m_strTable" => "calls"
));

$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto29["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto29["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "";
$obj = new SQLFieldListItem($proto44);

$proto29["m_fieldlist"][]=$obj;
						$proto46=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto46["m_expr"]=$obj;
$proto46["m_alias"] = "";
$obj = new SQLFieldListItem($proto46);

$proto29["m_fieldlist"][]=$obj;
						$proto48=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto48["m_expr"]=$obj;
$proto48["m_alias"] = "";
$obj = new SQLFieldListItem($proto48);

$proto29["m_fieldlist"][]=$obj;
$proto29["m_fromlist"] = array();
												$proto50=array();
$proto50["m_link"] = "SQLL_MAIN";
			$proto51=array();
$proto51["m_strName"] = "calls";
$proto51["m_columns"] = array();
$proto51["m_columns"][] = "idCalls";
$proto51["m_columns"][] = "Date";
$proto51["m_columns"][] = "Call Details";
$proto51["m_columns"][] = "Executive Name";
$proto51["m_columns"][] = "Customer Name";
$obj = new SQLTable($proto51);

$proto50["m_table"] = $obj;
$proto50["m_alias"] = "";
$proto52=array();
$proto52["m_sql"] = "";
$proto52["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto52["m_column"]=$obj;
$proto52["m_contained"] = array();
$proto52["m_strCase"] = "";
$proto52["m_havingmode"] = "0";
$proto52["m_inBrackets"] = "0";
$proto52["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto52);

$proto50["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto50);

$proto29["m_fromlist"][]=$obj;
												$proto54=array();
$proto54["m_link"] = "SQLL_INNERJOIN";
			$proto55=array();
$proto55["m_strName"] = "customer_list";
$proto55["m_columns"] = array();
$proto55["m_columns"][] = "idCL";
$proto55["m_columns"][] = "Created on";
$proto55["m_columns"][] = "Region";
$proto55["m_columns"][] = "Customer Name";
$proto55["m_columns"][] = "Address";
$proto55["m_columns"][] = "City";
$proto55["m_columns"][] = "State";
$proto55["m_columns"][] = "Country";
$proto55["m_columns"][] = "Postal Code";
$proto55["m_columns"][] = "Web address";
$proto55["m_columns"][] = "Area";
$proto55["m_columns"][] = "Customer_Category";
$proto55["m_columns"][] = "Breif About the Company";
$proto55["m_columns"][] = "Existing Setup";
$proto55["m_columns"][] = "Interaction Summary";
$proto55["m_columns"][] = "Commercial Summary";
$proto55["m_columns"][] = "Customer Status";
$proto55["m_columns"][] = "Assigned Executive";
$proto55["m_columns"][] = "Assigned Date";
$proto55["m_columns"][] = "Last Updated on";
$obj = new SQLTable($proto55);

$proto54["m_table"] = $obj;
$proto54["m_alias"] = "";
$proto56=array();
$proto56["m_sql"] = "calls.`Customer Name` = customer_list.`Customer Name`";
$proto56["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto56["m_column"]=$obj;
$proto56["m_contained"] = array();
$proto56["m_strCase"] = "= customer_list.`Customer Name`";
$proto56["m_havingmode"] = "0";
$proto56["m_inBrackets"] = "0";
$proto56["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto56);

$proto54["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto54);

$proto29["m_fromlist"][]=$obj;
$proto29["m_groupby"] = array();
												$proto58=array();
						$proto59=array();
$proto59["m_functiontype"] = "SQLF_CUSTOM";
$proto59["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto59["m_arguments"][]=$obj;
$proto59["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto59);

$proto58["m_column"]=$obj;
$obj = new SQLGroupByItem($proto58);

$proto29["m_groupby"][]=$obj;
												$proto61=array();
						$obj = new SQLField(array(
	"m_strName" => "Call Details",
	"m_strTable" => "calls"
));

$proto61["m_column"]=$obj;
$obj = new SQLGroupByItem($proto61);

$proto29["m_groupby"][]=$obj;
												$proto63=array();
						$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto63["m_column"]=$obj;
$obj = new SQLGroupByItem($proto63);

$proto29["m_groupby"][]=$obj;
												$proto65=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto65["m_column"]=$obj;
$obj = new SQLGroupByItem($proto65);

$proto29["m_groupby"][]=$obj;
$proto29["m_orderby"] = array();
$obj = new SQLQuery($proto29);

$queryData_RO___Calls_Report = $obj;
$tdataRO___Calls_Report[".sqlquery"] = $queryData_RO___Calls_Report;

$tableEvents["RO - Calls Report"] = new eventsBase;

?>
